MongoDB 2.6 compatibility issues for Sitecore XP 7.5 and 8.0

  • Description

    We recommend that Sitecore XP versions from 7.5 Initial Release to 8.0 Update-4 are for use only with MongoDB 2.6 (see the MongoDB compatibility table).

    However, MongoDB 2.6 reached the End Of Life in October 2016. This left no supported MongoDB versions compatible with Sitecore XP 7.5 and early versions of Sitecore XP 8.0.

    This article describes some possible solutions to keep your Sitecore XP solution fully supported.

  • To address compatibility issues caused by End of Life for MongoDB 2.6 without upgrading or patching Sitecore XP, it is possible to purchase an extended MongoDB support contract for MongoDB 2.6. Please contact MongoDB for pricing details.

    Note: Sitecore XP versions prior to 8.0 Update-5 are affected by the issue causing excessive connections to MongoDB. Refer to the following article for details: https://kb.sitecore.net/articles/738267.

  • Solution for xDB Cloud

    Some of xDB Cloud environments still run MongoDB 2.6. These environments remain fully supported by Sitecore and respective vendors even though the End-Of-Life date has passed.

    Sitecore is planning to bring down MongoDB 2.6 support for xDB Cloud on 01-Nov-2017. On that date, Sitecore will upgrade all these environments to MongoDB 3.0.

    Before this date, all xDB Cloud customers are requested to ensure that Solution 1 described above is applied.

    Note: A customer can initiate an upgrade to MongoDB 3.0 or higher for the respective xDB Cloud set before this date by contacting Sitecore Support.

Applies to:

CMS 7.5 Initial Release - 8.0 Update-4

CMS 8.0 Update-5

May 06, 2016
May 17, 2017

Reference number:

106830, 126861

Keywords: 

  • XDB